org.apache.maven.reporting

## Interface MavenMultiPageReport

- All Superinterfaces:
    org.apache.maven.reporting.MavenReport
  All Known Implementing Classes:
    AbstractMavenReport

      public interface MavenMultiPageReport
      extends org.apache.maven.reporting.MavenReport

  Temporary copy of `maven-reporting-api` class to avoid Maven 3 prerequisite, since `maven-reporting-api` is included in Maven 2 then internal version is preferred.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.reporting.MavenReport

      `CATEGORY_PROJECT_INFORMATION, CATEGORY_PROJECT_REPORTS, ROLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate(org.apache.maven.doxia.sink.Sink sink, org.apache.maven.doxia.sink.SinkFactory sinkFactory, Locale locale)`

    - ### Methods inherited from interface org.apache.maven.reporting.MavenReport

      `canGenerateReport, generate, getCategoryName, getDescription, getName, getOutputName, getReportOutputDirectory, isExternalReport, setReportOutputDirectory`

- - ### Method Detail

    - #### generate

          void generate(org.apache.maven.doxia.sink.Sink sink,
                      org.apache.maven.doxia.sink.SinkFactory sinkFactory,
                      Locale locale)
                        throws org.apache.maven.reporting.MavenReportException

      Throws:
        `org.apache.maven.reporting.MavenReportException`

Copyright © 2015. All rights reserved.